--- cluster/rgmanager/src/resources/lvm.sh 2008/01/03 21:02:53 1.12
+++ cluster/rgmanager/src/resources/lvm.sh 2008/02/06 16:40:27 1.13
@@ -56,11 +56,24 @@
{
##
# Machine's cluster node name must be present as
- # a tag in lvm.conf:activation/volume_list
+ # a tag in lvm.conf:activation/volume_list and the volume group
+ # to be failed over must NOT be there.
##
- if ! lvm dumpconfig activation/volume_list >& /dev/null ||
- ! lvm dumpconfig activation/volume_list | grep $(local_node_name); then
- ocf_log err "lvm.conf improperly configured for HA LVM."
+ if ! lvm dumpconfig activation/volume_list >& /dev/null; then
+ ocf_log err "HA LVM: Improper setup detected"
+ ocf_log err "- "volume_list" not specified in lvm.conf."
+ return $OCF_ERR_GENERIC
+ fi
+
+ if ! lvm dumpconfig activation/volume_list | grep $(local_node_name); then
+ ocf_log err "HA LVM: Improper setup detected"
+ ocf_log err "- @$(local_node_name) missing from "volume_list" in lvm.conf"
+ return $OCF_ERR_GENERIC
+ fi
+
+ if lvm dumpconfig activation/volume_list | grep $OCF_RESKEY_vg_name; then
+ ocf_log err "HA LVM: Improper setup detected"
+ ocf_log err "- $OCF_RESKEY_vg_name found in "volume_list" in lvm.conf"
return $OCF_ERR_GENERIC
fi
Log message:
- Bug 431705: HA LVM should prevent users from running an invalid setup (2)
- better checking for improper setup
-- this time for presence of fail-over VG in the volume_list
--- cluster/rgmanager/src/resources/lvm.sh 2008/02/06 16:40:27 1.13
+++ cluster/rgmanager/src/resources/lvm.sh 2008/02/06 17:43:33 1.14
@@ -84,7 +84,8 @@
##
# Fixme: we might be able to perform a better check...
if [ "$(find /boot/*.img -newer /etc/lvm/lvm.conf)" == "" ]; then
- ocf_log err "HA LVM requires the initrd image to be newer than lvm.conf"
+ ocf_log err "HA LVM: Improper setup detected"
+ ocf_log err "- initrd image needs to be newer than lvm.conf"
return $OCF_ERR_GENERIC
fi